Saltar al contenido principal
PATCH
/
media-bridge
/
v1
/
{appId}
/
schemas
/
{objectType}
Actualizar el esquema de un tipo de objeto
curl --request PATCH \
  --url https://api.hubapi.com/media-bridge/v1/{appId}/schemas/{objectType} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "clearDescription": true,
  "allowsSensitiveProperties": true,
  "description": "<string>",
  "labels": {
    "plural": "<string>",
    "singular": "<string>"
  },
  "primaryDisplayProperty": "<string>",
  "requiredProperties": [
    "<string>"
  ],
  "restorable": true,
  "searchableProperties": [
    "<string>"
  ],
  "secondaryDisplayProperties": [
    "<string>"
  ]
}
'
{
  "allowsSensitiveProperties": true,
  "archived": true,
  "fullyQualifiedName": "<string>",
  "id": "<string>",
  "labels": {
    "plural": "<string>",
    "singular": "<string>"
  },
  "name": "<string>",
  "objectTypeId": "<string>",
  "requiredProperties": [
    "<string>"
  ],
  "searchableProperties": [
    "<string>"
  ],
  "secondaryDisplayProperties": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "portalId": 123,
  "primaryDisplayProperty": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.es/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de ruta

appId
integer<int32>
requerido

El appId de la aplicación del centro multimedia. Es posible tener varias aplicaciones en tu cuenta de desarrollador que utilicen el centro multimedia.

objectType
string
requerido

El tipo de objeto para el que quieres actualizar el esquema.

Cuerpo

application/json
clearDescription
boolean
requerido
allowsSensitiveProperties
boolean
description
string
labels
object
primaryDisplayProperty
string
requiredProperties
string[]
restorable
boolean
searchableProperties
string[]
secondaryDisplayProperties
string[]

Respuesta

successful operation

allowsSensitiveProperties
boolean
requerido
archived
boolean
requerido
fullyQualifiedName
string
requerido
id
string
requerido
labels
object
requerido
name
string
requerido
objectTypeId
string
requerido
requiredProperties
string[]
requerido
searchableProperties
string[]
requerido
secondaryDisplayProperties
string[]
requerido
createdAt
string<date-time>
description
string
portalId
integer<int32>
primaryDisplayProperty
string
updatedAt
string<date-time>
Last modified on April 14, 2026